/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 1.0
 */

using System;
using System.Reflection;
using TopCoder.Util.ConfigurationManager;
using NUnit.Framework;
using System.IO;

namespace TopCoder.File.Statistics.Reporting
{
    /// <summary>
    /// Tests for <c>BasicStatsReporting</c> based on <c>TestAbstractStatsReporting</c>.
    /// </summary>
    [TestFixture]
    public class TestBasicStatsReporting : TestAbstractStatsReporting
    {
        /// <summary>
        /// The golden standard for the reports. One has to be careful, as absolute paths are hard to verify.
        /// </summary>
        private static readonly string[] reports = new string[]
            {
            @"File statistics report

File processor alias:
    Line Count      : 212

--

Directories:
        sub
        sub\exe

    Directory sub:
        Line Count      : 212

    Directory sub\exe:
        Line Count      : 204

--

Files:
        sub\exe\test.exe
        sub\TestFile1.cs

    File sub\exe\test.exe:
        Line Count      : 204

    File sub\TestFile1.cs:
        Line Count      : 8

--

Overall results:
    Line Count      : 212

"};


        /// <summary>
        /// Sets the type value.
        /// </summary>
        [SetUp]
        public override void Setup()
        {
            type = typeof(BasicStatsReporting);
            base.Setup();
        }

        /// <summary>
        /// Tests report generation.
        /// </summary>
        public void TestGenerateReport()
        {
            // If you want to check both, you'll have to create a "gold standard" report with a specific absolute path
            for (int i = 0; i < 1; i++)
            {
                Assert.AreEqual(reports[i], instances[i].GenerateReport(), "Report deviating.");
            }
        }
    }
}