/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 2.0b
 */


using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// New exception added in version 2.0b in order to denote an <c>IArgumentHandler</c> which hasn't received the
    /// proper arguments yet (so that the calling method can not be performed at this time). Since initialization now
    /// is a two-step process, an object might be "hanging" in this half-initialized state.
    /// </summary>
    public class MissingInitializationException : ConfigurationException
    {
        /// <summary>
        /// Constructor with a message string. No checking performed.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public MissingInitializationException(string message) : base(message)
        {
        }

        /// <summary>
        /// Constructor with a message string and an inner exception to wrap (cause). No checking performed.
        /// </summary>
        /// <param name="message"></param>
        /// <param name="cause"></param>
        public MissingInitializationException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}
