/*
 * $(#)FileMatchingExceptionTests.cs		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

using System;
using NUnit.Framework;

namespace TopCoder.File.Statistics.FailureTests
{

	/// <summary>
    /// This test fixture contains the failure tests for <see cref="FileMatchingException"/> class.
    ///
    /// <author>MPhk</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    [TestFixture]
	public class FileMatchingExceptionTests 
	{

	    /// <summary>
	    /// Verifies whether the FileMatchingException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileMatchingException1() {
	        new FileMatchingException(null);
	    }
    
	    /// <summary>
	    /// Verifies whether the FileMatchingException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileMatchingException2() {
	        new FileMatchingException(null, new Exception());
	    }
    
	    /// <summary>
	    /// Verifies whether the FileMatchingException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileMatchingException3() {
            new FileMatchingException("msg", null);
	    }
    
	    /// <summary>
	    /// Verifies whether the FileMatchingException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileMatchingException4() {
            new FileMatchingException(null, null);
	    }
	}
    
}
