/*
 * $(#)FileStatisticsExceptionTests.cs		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

using System;
using NUnit.Framework;

namespace TopCoder.File.Statistics.FailureTests
{

	/// <summary>
    /// This test fixture contains the failure tests for <see cref="FileStatisticsException"/> class.
    ///
    /// <author>MPhk</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    [TestFixture]
	public class FileStatisticsExceptionTests 
	{

	    /// <summary>
	    /// Verifies whether the FileStatisticsException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileStatisticsException1() {
	        new FileStatisticsException(null);
	    }
    
	    /// <summary>
	    /// Verifies whether the FileStatisticsException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileStatisticsException2() {
	        new FileStatisticsException(null, new Exception());
	    }
    
	    /// <summary>
	    /// Verifies whether the FileStatisticsException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileStatisticsException3() {
            new FileStatisticsException("msg", null);
	    }
    
	    /// <summary>
	    /// Verifies whether the FileStatisticsException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileStatisticsException4() {
            new FileStatisticsException(null, null);
	    }
	}
    
}
