///
/// $(#)MetricTests.cs		Sep 6, 2005
/// 
/// Copyright (c) 2005, TopCoder Inc. All rights reserved.
///

using System;
using NUnit.Framework;

namespace TopCoder.File.Statistics.FailureTests
{
	/// <summary>
    /// This test fixture contains the failure tests for <see cref="Metric"/> class.
    ///
    /// <author>MPhk</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    [TestFixture]
	public class MetricTests {
	
	    /// <summary>
	    /// Checks whether the constructor Metric(String, String, String) properly throws
	    /// ArgumentNullException for null argument.
	    /// </summary>
	    [Test, ExpectedException(typeof(ArgumentNullException))]
	    public void TestMetric1() {
            new Metric(null, "disp", "desc");
	    }
	
	    /// <summary>
	    /// Checks whether the constructor Metric(String, String, String) properly throws
	    /// ArgumentNullException for null argument.
	    /// </summary>
	    [Test, ExpectedException(typeof(ArgumentNullException))]
	    public void TestMetric2() {
            new Metric("name", null, "desc");
	    }
	
	    /// <summary>
	    /// Checks whether the constructor Metric(String, String, String) properly throws
	    /// ArgumentNullException for null argument.
	    /// </summary>
	    [Test, ExpectedException(typeof(ArgumentNullException))]
	    public void TestMetric3() {
            new Metric("name", "disp", null);
	    }
	
	    /// <summary>
	    /// Checks whether the constructor Metric(String, String, String) properly throws
	    /// ArgumentException for empty String argument.
	    /// </summary>
	    [Test, ExpectedException(typeof(ArgumentException))]
	    public void TestMetric4() {
            new Metric("", "disp", "desc");
	    }
	
	    /// <summary>
	    /// Checks whether the constructor Metric(String, String, String) properly throws
	    /// ArgumentException for empty String argument.
	    /// </summary>
	    [Test, ExpectedException(typeof(ArgumentException))]
	    public void TestMetric5() {
            new Metric("name", " ", "desc");
	    }
	
	    /// <summary>
	    /// Checks whether the constructor Metric(String, String, String) properly throws
	    /// ArgumentException for empty String argument.
	    /// </summary>
	    [Test, ExpectedException(typeof(ArgumentException))]
	    public void TestMetric6() {
            new Metric("name", "disp", "         ");
	    }
    }
}
