/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 2.0b
 */

using System;
using System.Reflection;
using NUnit.Framework;

namespace TopCoder.File.Statistics.Matcher
{
    /// <summary>
    /// This class adds to <c>TestContract</c> by also verifying null parameters for <c>Match(FileInfo)</c>.
    /// </summary>
    [TestFixture]
    public abstract class TestFileMatcher : TestContract
    {
        /// <summary>
        /// An instance that is set by the subclasses.
        /// </summary>
        protected IFileMatcher instance;

        /// <summary>
        /// Tests that null parameters are not accepted.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ArgumentNullException))]
        public void TestMatchNull()
        {
            instance.Match(null);
        }
    }
}